Skip to main content
GET
Get outbound SMS message logs

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Query Parameters

from
string

The sender ID which can be alphanumeric or numeric.

to
string

Message destination address.

bulkId
string[]

Unique ID assigned to the request if messaging multiple recipients or sending multiple messages via a single API request. May contain multiple comma-separated values. Maximum length 2048 characters.

messageId
string[]

Unique message ID for which a log is requested. May contain multiple comma-separated values. Maximum length 2048 characters.

generalStatus
enum<string>

Sent message status. Status group name that describes which category the status code belongs to, i.e., PENDING, UNDELIVERABLE, DELIVERED, EXPIRED, REJECTED.

Available options:
ACCEPTED,
PENDING,
UNDELIVERABLE,
DELIVERED,
EXPIRED,
REJECTED
sentSince
string<date-time>

The logs will only include messages sent after this date. Use it alongside sentUntil to specify a time range for the logs, but only up to the maximum limit of 1000 logs per call. Has the following format: yyyy-MM-dd'T'HH:mm:ss.SSSZ.

sentUntil
string<date-time>

The logs will only include messages sent before this date. Use it alongside sentSince to specify a time range for the logs, but only up to the maximum limit of 1000 logs per call. Has the following format: yyyy-MM-dd'T'HH:mm:ss.SSSZ.

limit
integer<int32>

Maximum number of messages to include in logs. If not set, the latest 50 records are returned. Maximum limit value is 1000 and you can only access logs for the last 48h.

mcc
string

Mobile Country Code.

mnc
string

Mobile Network Code. Mobile Country Code is required if this property is used.

applicationId
string

Application id used to send the message. For more details, see our documentation.

entityId
string

Entity id used to send the message. For more details, see our documentation.

campaignReferenceId
string[]

ID of a campaign that was sent in the message. May contain multiple comma-separated values.

Response

Successful response

results
Log · object[]
read-only

Collection of logs.